%global debug_package %{nil}
Summary: A free open source image and panorama viewer
Name: lux
Version: 1.0.8
Release: 1%{?dist}
License: GPLv3+
Source: lux-%{version}-Source.tar.gz
URL: https://bitbucket.org/kfj/pv/
BuildRequires: Vc-devel Vc-static clang vigra-devel exiv2-devel SFML-devel

%description
pv is an image viewer for 'normal' images and the most common types of
panoramic images, typically showing a 'rectilinear' view to the image data,
which looks as if this view had been taken with an 'ordinary' lens. The view
can be zoomed, panned, scrolled, rotated and modified in several ways.
Panoramic images can be produced with software like hugin. pv displays images,
it does not modify them. But it can produce high-quality images from the view
it shows. pv can also produce synoptic views of several images and do simple
stitching and HDR blending jobs.

%prep
%setup -q -n lux-%{version}-Source

# needed for fc32, but cmake macro does right thing in fc33
sed -i 's^message(FATAL_ERROR "In-source builds are not allowed")^^' CMakeLists.txt

%build
rm -rf BUILD
mkdir BUILD
cd BUILD
cmake -DCMAKE_INSTALL_PREFIX=/usr ..
make
#cmake
#cmake_build

%install
cd BUILD
make install DESTDIR=%{buildroot}
#cmake_install

%files
%{_bindir}/lux
%{_datadir}/lux/fonts/*.ttf
%{_datadir}/lux/fonts/*.txt

%doc README.rst
%license LICENSE

%changelog
* Mon Apr 05 2021 Bruno Postle <bruno@postle.net> - 1.0.8-1
- upstream snapshot

* Sun Mar 21 2021 Bruno Postle <bruno@postle.net> - 1.0.7-3
- upstream snapshot

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 1.0.7-2
- upstream snapshot

* Tue Mar 16 2021 Bruno Postle <bruno@postle.net> - 1.0.7-1
- upstream release
